commit:     2b52261947950522e4ff636ffc466920c06ac566
Author:     Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto <AT> gentoo 
<DOT> org>
AuthorDate: Sat Jul 25 02:24:58 2015 +0000
Commit:     Jorge Manuel B. S. Vicetto <jmbsvicetto <AT> gentoo <DOT> org>
CommitDate: Sat Jul 25 02:24:58 2015 +0000
URL:        https://gitweb.gentoo.org/dev/jmbsvicetto.git/commit/?id=2b522619

Add wordpress and bump to release 4.2.3.

Signed-off-by: Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto <AT> 
gentoo.org>

 www-apps/wordpress/Manifest                 |  2 +
 www-apps/wordpress/files/postinstall-en.txt | 38 ++++++++++++++++++
 www-apps/wordpress/files/postupgrade-en.txt | 37 ++++++++++++++++++
 www-apps/wordpress/metadata.xml             | 12 ++++++
 www-apps/wordpress/wordpress-4.2.2.ebuild   | 60 +++++++++++++++++++++++++++++
 www-apps/wordpress/wordpress-4.2.3.ebuild   | 60 +++++++++++++++++++++++++++++
 6 files changed, 209 insertions(+)

diff --git a/www-apps/wordpress/Manifest b/www-apps/wordpress/Manifest
new file mode 100644
index 0000000..ad0486b
--- /dev/null
+++ b/www-apps/wordpress/Manifest
@@ -0,0 +1,2 @@
+DIST wordpress-4.2.2.tar.gz 6307937 SHA256 
3c4e2cc3af289366ff5352e35c3f80fca2dcaed3d56a79f33b25374c356c3f90 SHA512 
5ac78341da152e7fdf470b6a2e13a8da02b61d74a8982cc2a9240a0b86049007d5fd643f059438b014b74741e58300b75a7904cd297c6f40aa3b916dcbcd9127
 WHIRLPOOL 
15755d51e8664be47f64e8087ebde3f6274de5da0bd6dd19740ca8a8f277b280b4d59a13935f23c78239d108a689d9a40dd50ca27da49cc48622fe8f87ad1f5a
+DIST wordpress-4.2.3.tar.gz 6313518 SHA256 
49073745a56f8ddf740b95018071d69c3100d730dba014566a49c7b386786b16 SHA512 
b1870687fbc5eb64c6a924878fe792397a8d8739a6084dc612f3133b8f2f552082ace039ca1f865fa7b58c44ffb65b8372534923f1253a8c2487a791f8d98d58
 WHIRLPOOL 
a2a9cf91de8da30dfa1829802fe4fcf5b454ca19e6a1e74055b6ca1ce5378cdc96b0b5d82a377e3d64ece76dc22eaadd8195ea47f736d4fd22e1505db11792f9

diff --git a/www-apps/wordpress/files/postinstall-en.txt 
b/www-apps/wordpress/files/postinstall-en.txt
new file mode 100644
index 0000000..54c9771
--- /dev/null
+++ b/www-apps/wordpress/files/postinstall-en.txt
@@ -0,0 +1,38 @@
+------------------------------------------------------------------------
+INSTALLATION
+
+You will need to create a table for your WordPress database.  This
+assumes you have some knowledge of MySQL, and already have it
+installed and configured.  If not, please refer to the Gentoo MySQL
+guide at the following URL:
+
+http://www.gentoo.org/doc/en/mysql-howto.xml 
+
+Log in to MySQL, and create a new database as well as a user with full
+access to this database. After that you will need to provide the details
+of this database and the associated user within the file
+
+${MY_INSTALLDIR}/wp-config.php 
+
+Finally you should be able to log in to WordPress at
+
+http://${VHOST_HOSTNAME}/${VHOST_APPDIR}
+                                                            
+------------------------------------------------------------------------
+!!!!!!!!!                 SECURITY WARNING                   !!!!!!!!!!!
+
+Wordpress has had a history of serious security flaws. Any application
+with less widespread use but the same amount of security issues would
+have been removed from the tree.
+
+After a short period of being in the unstable tree we once again decided
+that we hard mask the package.
+
+THIS MEANS THAT THERE IS NO GUARANTEE WHATSOEVER THAT THE PACKAGE WILL
+GET UPGRADED WITHIN A REASONABLE AMOUNT OF TIME EVEN IN THE CASE OF
+SEVERE SECURITY ISSUES.
+
+We consider installing this package a severe risk to your system and 
+you should keep a close eye on the common security trackers so
+that you are able to fix problems with your installation yourself if
+required.

diff --git a/www-apps/wordpress/files/postupgrade-en.txt 
b/www-apps/wordpress/files/postupgrade-en.txt
new file mode 100644
index 0000000..5c7b327
--- /dev/null
+++ b/www-apps/wordpress/files/postupgrade-en.txt
@@ -0,0 +1,37 @@
+------------------------------------------------------------------------
+UPGRADE
+
+                                                            
+If you are upgrading from a previous version BACK UP your database.
+
+Once you are done with that, browse to
+
+http://${VHOST_HOSTNAME}/${VHOST_APPDIR}/wp-admin/upgrade.php 
+
+and follow the instructions on the screen.
+
+Note that the default theme has changed between Wordpress 2.x and 3.x,
+so if you were using the default theme, your site will fail to load after
+the upgrade. Log in to the admin interface and open the themes section to
+reset to the new default theme. If you face other troubles after the
+upgrade, you might want to look for broken plugins or themes.
+
+------------------------------------------------------------------------
+!!!!!!!!!                 SECURITY WARNING                   !!!!!!!!!!!
+                                                                     
+Wordpress has had a history of serious security flaws. Any application
+with less widespread use but the same amount of security issues would
+have been removed from the tree.
+                                                                     
+After a short period of being in the unstable tree we once again decided
+that we hard mask the package.
+
+THIS MEANS THAT THERE IS NO GUARANTEE WHATSOEVER THAT THE PACKAGE WILL
+GET UPGRADED WITHIN A REASONABLE AMOUNT OF TIME EVEN IN THE CASE OF
+SEVERE SECURITY ISSUES.
+
+We consider installing this package a severe risk to your system and 
+you should keep a close eye on the common security trackers so
+that you are able to fix problems with your installation yourself if
+required.
+

diff --git a/www-apps/wordpress/metadata.xml b/www-apps/wordpress/metadata.xml
new file mode 100644
index 0000000..89f7c9f
--- /dev/null
+++ b/www-apps/wordpress/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<maintainer>
+    <email>[email protected]</email>
+    <name>Jorge Manuel B. S. Vicetto</name>
+</maintainer>
+<use>
+    <flag name="akismet">Installs Akismet comment spam plug-in</flag>
+    <flag name="themes">Installs themes (including default theme)</flag>
+</use>
+</pkgmetadata>

diff --git a/www-apps/wordpress/wordpress-4.2.2.ebuild 
b/www-apps/wordpress/wordpress-4.2.2.ebuild
new file mode 100644
index 0000000..33fe371
--- /dev/null
+++ b/www-apps/wordpress/wordpress-4.2.2.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-apps/wordpress/wordpress-4.2.2.ebuild,v 
1.1 2015/05/08 17:10:33 sping Exp $
+
+EAPI=5
+
+inherit webapp
+
+DESCRIPTION="Wordpress PHP and MySQL based content management system (CMS)"
+HOMEPAGE="http://wordpress.org/";
+SRC_URI="http://wordpress.org/${P/_rc/-RC}.tar.gz";
+
+LICENSE="GPL-2+"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="virtual/httpd-php
+       || ( dev-lang/php[mysql] dev-lang/php[mysqli] )"
+
+S=${WORKDIR}/${PN}
+
+need_httpd_cgi
+
+IUSE="+akismet examples +themes vhosts"
+
+# Override default of SLOT="${PVR}"
+WEBAPP_MANUAL_SLOT=yes
+SLOT="${PV}"
+
+src_install() {
+       webapp_src_preinst
+
+       dohtml readme.html
+       rm readme.html license.txt || die
+
+       if ! use akismet ; then
+               rm -R wp-content/plugins/akismet/ || die
+       fi
+       if ! use examples ; then
+               rm wp-content/plugins/hello.php || die
+       fi
+       if ! use themes ; then
+               rm -R wp-content/themes/*/ || die
+       fi
+
+       [[ -f wp-config.php ]] || cp wp-config-sample.php wp-config.php
+
+       insinto "${MY_HTDOCSDIR}"
+       doins -r .
+
+       webapp_serverowned "${MY_HTDOCSDIR}"/index.php
+       webapp_serverowned "${MY_HTDOCSDIR}"/wp-admin/menu.php
+       webapp_serverowned "${MY_HTDOCSDIR}"
+
+       webapp_configfile  "${MY_HTDOCSDIR}"/wp-config.php
+
+       webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+       webapp_postupgrade_txt en "${FILESDIR}"/postupgrade-en.txt
+
+       webapp_src_install
+}

diff --git a/www-apps/wordpress/wordpress-4.2.3.ebuild 
b/www-apps/wordpress/wordpress-4.2.3.ebuild
new file mode 100644
index 0000000..33fe371
--- /dev/null
+++ b/www-apps/wordpress/wordpress-4.2.3.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-apps/wordpress/wordpress-4.2.2.ebuild,v 
1.1 2015/05/08 17:10:33 sping Exp $
+
+EAPI=5
+
+inherit webapp
+
+DESCRIPTION="Wordpress PHP and MySQL based content management system (CMS)"
+HOMEPAGE="http://wordpress.org/";
+SRC_URI="http://wordpress.org/${P/_rc/-RC}.tar.gz";
+
+LICENSE="GPL-2+"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="virtual/httpd-php
+       || ( dev-lang/php[mysql] dev-lang/php[mysqli] )"
+
+S=${WORKDIR}/${PN}
+
+need_httpd_cgi
+
+IUSE="+akismet examples +themes vhosts"
+
+# Override default of SLOT="${PVR}"
+WEBAPP_MANUAL_SLOT=yes
+SLOT="${PV}"
+
+src_install() {
+       webapp_src_preinst
+
+       dohtml readme.html
+       rm readme.html license.txt || die
+
+       if ! use akismet ; then
+               rm -R wp-content/plugins/akismet/ || die
+       fi
+       if ! use examples ; then
+               rm wp-content/plugins/hello.php || die
+       fi
+       if ! use themes ; then
+               rm -R wp-content/themes/*/ || die
+       fi
+
+       [[ -f wp-config.php ]] || cp wp-config-sample.php wp-config.php
+
+       insinto "${MY_HTDOCSDIR}"
+       doins -r .
+
+       webapp_serverowned "${MY_HTDOCSDIR}"/index.php
+       webapp_serverowned "${MY_HTDOCSDIR}"/wp-admin/menu.php
+       webapp_serverowned "${MY_HTDOCSDIR}"
+
+       webapp_configfile  "${MY_HTDOCSDIR}"/wp-config.php
+
+       webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+       webapp_postupgrade_txt en "${FILESDIR}"/postupgrade-en.txt
+
+       webapp_src_install
+}

Reply via email to